Name:           libgnome-java
Version:        2.12.7
Release:        %mkrel 1
Epoch:          0
Summary:        Java bindings for libgnome
License:        LGPL
Group:          Development/Java
URL:            http://java-gnome.sourceforge.net
Source0:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgnome-java/2.12/libgnome-java-%{version}.tar.bz2
Source1:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgnome-java/2.12/libgnome-java-2.12.7.changes
Source2:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgnome-java/2.12/libgnome-java-2.12.7.md5sum
Source3:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgnome-java/2.12/libgnome-java-2.12.7.news
Source4:        java-gnome-macros.tar.bz2
Requires:       libgnome2
Requires:       libgtk-java
BuildRequires:  docbook-utils
BuildRequires:  docbook-dtd30-sgml
BuildRequires:  java-devel >= 0:1.4.2
BuildRequires:  jpackage-utils
BuildRequires:  libgnome2-devel
BuildRequires:  gcc-java >= 0:4.0.1
BuildRequires:  libgnomecanvas2-devel
BuildRequires:  libgnomeui2-devel
BuildRequires:  libgtk-java >= 0:2.10.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
libgnome-java is a language binding that allows developers to write
GNOME applications in Java.  It is part of Java-GNOME.

%package        devel
Summary:        Compressed Java source files for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
Compressed Java source for %{name}. This is useful if you are developing
applications with IDEs like Eclipse.

%prep
%setup -q
%setup -q -T -D -a 4
%{__aclocal} -I macros --force
%{__autoconf} --force
%{__automake} --copy --force-missing
%{__libtoolize} --copy --force

%build
export CLASSPATH=
export JAVA=%{java}
export JAVAC=%{javac}
export JAR=%{jar}
export JAVADOC=%{javadoc}
%{configure2_5x} --with-jardir=%{_javadir}
%{make}

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
%{_bindir}/zip -9 -r $zipfile $(find -name \*.java)
popd

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}
%{__rm} -rf %{buildroot}/%{name}-%{version}

# install the src zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
%{__install} -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_javadir}/
pushd %{buildroot}%{_javadir}
%{__ln_s} $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/api AUTHORS COPYING NEWS README doc/tutorial
%{_libdir}/*so*
%{_libdir}/*la
%{_libdir}/pkgconfig/*
%{_javadir}/*.jar

%files devel
%defattr(-,root,root)
%{_javadir}/*.zip


%changelog
* Wed Jan 10 2007 David Walluck <walluck@mandriva.org> 2.12.7-1mdv2007.0
+ Revision: 107261
- cleanup
- 2.12.7

* Sat Nov 04 2006 David Walluck <walluck@mandriva.org> 0:2.12.6-1mdv2007.1
+ Revision: 76504
- 2.12.6

* Fri Oct 20 2006 David Walluck <walluck@mandriva.org> 0:2.12.5-3mdv2007.0
+ Revision: 71472
- remove ExclusiveArch
- spec cleanup
- 2.12.5
- Import libgnome-java



* Mon Sep 04 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-3mdv2007.0
- fix libgtk-java version

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-2mdv2007.0
- fix libtool

* Mon Aug 07 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-1mdv2007.0
- 2.12.4

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:2.12.3-1mdv2007.0
- 2.12.2

* Fri Apr 21 2006 David Walluck <walluck@mandriva.org> 0:2.12.2-1mdk
- 2.12.2

* Tue Jan 21 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-6mdk
- BuildRequires: libgnomecanvas2-devel, libgnomeui2-devel

* Wed Jan 18 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-5mdk
- libgtk-java contains the .pc file

* Fri Jan 13 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-4mdk
- BuildRequires: libgtk-java-devel

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-3mdk
- fix build

* Wed Nov 02 2005 David Walluck <walluck@mandriva.org> 0:2.12.1-2mdk
- add docbook to BuildRequires, but don't package manual yet

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:2.12.1-1mdk
- 2.12.1

* Mon Oct 25 2005 David Walluck <walluck@mandriva.org> 0:2.12.0-2mdk
- use %%{_javadir}

* Mon Oct 25 2005 David Walluck <walluck@mandriva.org> 0:2.12.0-1mdk
- 2.12.0

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:2.10.1-1mdk
- release

* Fri May 20 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-3
- Fix permission on src.zip.

* Thu May 19 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-2
- Add compressed java source to devel package.

* Tue Apr 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.1-1
- Import libgnome-java 2.10.1.

* Sat Apr  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.0-1
- Import libgnome-java 2.10.0.

* Fri Mar  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.92-1
- Require libgtk-java and java for build.
- Import libgnome-java 2.9.92.

* Sat Feb 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91.1-1
- Import libgnome-java 2.9.91.1.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-3
- Work around libtool, gcj, -D_FORTIFY_SOURCE=2, rpmbuild problem.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-2
- Only build on i386 and x86_64.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-1
- Import libgnome-java 2.9.91.

* Fri Feb  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.90-1
- Import libgnome-java 2.9.90.

* Sat Nov 27 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-1
- Update sources

* Tue Nov  2 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-3
- Require libgtk-java for build.

* Tue Nov  2 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-2
- Don't build on s390.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-1
- Initial release.
